##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

[Unit]
Description=Node Exporter
Wants=network-online.target
After=network-online.target

[Service]
User=root
Group=root
Type=simple
ExecStart=/bin/sh -c '/usr/bin/node-exporter \
    --web.config.file={{ install_node_exporter.install_path }}/web-config.yml \
    --web.listen-address=:{{ install_node_exporter.port }} \
    --collector.disable-defaults \
{% for stat in install_node_exporter__stats_to_export %}
    --collector.{{ stat }} \
{% endfor %}
    --log.level={{ install_node_exporter.loglevel }} \
    > {{ install_node_exporter.log_path }}/node-exporter.log 2>&1'

Restart=always

[Install]
WantedBy=multi-user.target
